cdac.medinfo.model

## Class AuthoringDeviceInfo

- java.lang.Object
- - cdac.medinfo.model.AuthoringDeviceInfo

-     public class AuthoringDeviceInfo
      extends java.lang.Object

  This class specify the details of machine that authored the document.

  This class has the following attributes:

  1. Software Name (String)
  2. Manufacturer Model Name (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthoringDeviceInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getManufacturerModelName()` Returns the Manufacturer Model Name of Authoring Device.
    `java.lang.String` | `getSoftwareName()` Returns the Software Name of Authoring Device.
    `void` | `setManufacturerModelName(java.lang.String manufacturerModelName)` Sets the Manufacturer Model Name of Authoring Device.
    `void` | `setSoftwareName(java.lang.String softwareName)` Sets the Software Name of Authoring Device.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthoringDeviceInfo

          public AuthoringDeviceInfo()

  - ### Method Detail

    - #### getSoftwareName

          public java.lang.String getSoftwareName()

      Returns the Software Name of Authoring Device.
      Returns:
        the softwareName

    - #### setSoftwareName

          public void setSoftwareName(java.lang.String softwareName)

      Sets the Software Name of Authoring Device.
      Parameters:
        `softwareName` - Specifies the Software Name of Authoring Device.

    - #### getManufacturerModelName

          public java.lang.String getManufacturerModelName()

      Returns the Manufacturer Model Name of Authoring Device.
      Returns:
        the manufacturerModelName

    - #### setManufacturerModelName

          public void setManufacturerModelName(java.lang.String manufacturerModelName)

      Sets the Manufacturer Model Name of Authoring Device.
      Parameters:
        `manufacturerModelName` - Specifies the Manufacturer Model Name of Authoring Device.